Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.awb.misc
Class FileUtils

    java.lang.Object
      |
      +--com.ibm.awb.misc.FileUtils

public class FileUtils
extends java.lang.Object

Constructor Summary
`FileUtils()`

Method Summary
`static boolean` | `checkFile(java.lang.String file, java.lang.String[] checkList)`
`static java.lang.String` | `compact(java.lang.String name)`
`static boolean` | `ensureDirectory(java.lang.String filename)`
`static boolean` | `ensureFile(java.lang.String filename)`
`static java.lang.String` | `getCacheDirectory()` Gets cache directory
`static java.lang.String` | `getLogDirectory()` Gets log directory
`static java.lang.String` | `getPropertyFilenameForUser(java.lang.String username, java.lang.String propname)` Gets property filename for a user
`static java.lang.String` | `getSecurityDirectory()` Gets directory for security files
`static java.lang.String` | `getSpoolDirectory()` Gets spool directory
`static java.lang.String` | `getUserDirectory()` Gets user directory
`static java.lang.String` | `getUserHome()` Gets user home
`static java.lang.String` | `getWorkDirectory()` Gets work directory
`static java.lang.String` | `getWorkDirectoryForUser(java.lang.String username)` Gets Work directory for a user
`static java.lang.String` | `localize(java.lang.String filename)`
`static java.lang.String[]` | `localize(java.lang.String[] s)`
`static boolean` | `localizedCheck(java.lang.String abs, java.lang.String path)`
`static java.util.Enumeration` | `strToPathList(java.lang.String path_list)`
`static java.util.Enumeration` | `strToPathList(java.lang.String path_list, java.lang.String separators)`
`static void` | `trim(java.lang.String name, java.lang.StringBuffer buff)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### checkFile

    public static boolean checkFile(java.lang.String file,
                                    java.lang.String[] checkList)

### compact

    public static java.lang.String compact(java.lang.String name)

### ensureDirectory

    public static boolean ensureDirectory(java.lang.String filename)

### ensureFile

    public static boolean ensureFile(java.lang.String filename)

### getCacheDirectory

    public static final java.lang.String getCacheDirectory()

  Gets cache directory

### getLogDirectory

    public static final java.lang.String getLogDirectory()

  Gets log directory

### getPropertyFilenameForUser

    public static final java.lang.String getPropertyFilenameForUser(java.lang.String username,
                                                                    java.lang.String propname)

  Gets property filename for a user

### getSecurityDirectory

    public static final java.lang.String getSecurityDirectory()

  Gets directory for security files

### getSpoolDirectory

    public static final java.lang.String getSpoolDirectory()

  Gets spool directory

### getUserDirectory

    public static final java.lang.String getUserDirectory()

  Gets user directory

### getUserHome

    public static final java.lang.String getUserHome()

  Gets user home

### getWorkDirectory

    public static final java.lang.String getWorkDirectory()

  Gets work directory

### getWorkDirectoryForUser

    public static final java.lang.String getWorkDirectoryForUser(java.lang.String username)

  Gets Work directory for a user

### localize

    public static java.lang.String[] localize(java.lang.String[] s)

### localize

    public static java.lang.String localize(java.lang.String filename)

### localizedCheck

    public static boolean localizedCheck(java.lang.String abs,
                                         java.lang.String path)

### strToPathList

    public static final java.util.Enumeration strToPathList(java.lang.String path_list)

### strToPathList

    public static final java.util.Enumeration strToPathList(java.lang.String path_list,
                                                            java.lang.String separators)

### trim

    public static void trim(java.lang.String name,
                            java.lang.StringBuffer buff)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD